Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.net
Class JMSSink

    java.lang.Object
      org.apache.log4j.net.JMSSink

All Implemented Interfaces:
  javax.jms.MessageListener

    public class JMSSink

extends Object
implements javax.jms.MessageListener

A simple application that consumes logging events sent by a `JMSAppender`.

Author:
  Ceki Gülcü

Constructor Summary
`JMSSink(String tcfBindingName, String topicBindingName, String username, String password)`

Method Summary
`protected static Object` | `lookup(Context ctx, String name)`
`static void` | `main(String[] args)`
`void` | `onMessage(javax.jms.Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSSink

    public JMSSink(String tcfBindingName,
                   String topicBindingName,
                   String username,
                   String password)

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### onMessage

    public void onMessage(javax.jms.Message message)

  Specified by:
    `onMessage` in interface `javax.jms.MessageListener`

### lookup

    protected static Object lookup(Context ctx,
                                   String name)
                            throws NamingException

  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.